Name:           vlock
Version:        2.1
Release:        %mkrel 1
Epoch:          0
Summary:        Program to lock one or more sessions on the Linux console
License:        GPL
Group:          Terminals
URL:            http://cthulhu.c3d2.de/~toidinamai/vlock/vlock.html
Source0:        http://cthulhu.c3d2.de/~toidinamai/vlock/archive/vlock-%{version}.tar.bz2
Source1:        http://cthulhu.c3d2.de/~toidinamai/vlock/archive/vlock-%{version}.tar.bz2.md5
Source2:        http://cthulhu.c3d2.de/~toidinamai/vlock/archive/vlock-%{version}.tar.bz2.sha1
Source3:        %{name}.pamd
Requires:       pam
BuildRequires:  pam-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The vlock program locks one or more sessions on the console.  Vlock
can lock the current terminal (local or remote) or the entire virtual
console system, which completely disables all console access.  The
vlock program unlocks when either the password of the user who started
vlock or the root password is typed.

Install vlock if you need to disable access to one console or to all
virtual consoles.

%prep
%setup -q
%{__sed} -i -e 's/\$(VLOCK_GROUP)/root/g;' -e 's/\$(ROOT_GROUP)/root/g;' -e 's/ -o root -g root//g;' Makefile
%{__sed} -i -e 's|^BOURNE_SHELL =.*|BOURNE_SHELL = %{__sh}|;' -e 's/^CC =.*/CC = %{__cc}/;' -e 's/^CFLAGS = .*/CFLAGS = %{optflags}/;' -e 's|^INSTALL =.*|INSTALL = %{__install}|;' -e 's|^PREFIX =.*|PREFIX = %{_prefix}|;' config.mk

%build
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/pam.d
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING README SECURITY
%attr(-,root,root) %{_bindir}/*
%attr(-,root,root) %{_sbindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/pam.d/%{name}


%changelog
* Sat Sep 22 2007 David Walluck <walluck@mandriva.org> 2.1-1mdv2008.1
+ Revision: 92210
- add sources
- 2.1

* Mon Aug 27 2007 David Walluck <walluck@mandriva.org> 0:2.0-2mdv2008.0
+ Revision: 72239
- fix PAM support
- fix BOURNE_SHELL and PREFIX settings in config.mk

* Thu Aug 09 2007 David Walluck <walluck@mandriva.org> 0:2.0-1mdv2008.0
+ Revision: 60927
- 2.0

* Sat Jul 21 2007 David Walluck <walluck@mandriva.org> 1.4-1mdv2008.0
+ Revision: 54362
- 1.4
- fix build to actually use %%{optflags}
- patch to fix install
- Import vlock



* Sun Jul 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-16mdv2007.0
- Rediff P0 for new PAM
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3-15mdk
- Rebuild

* Fri Jan 16 2004 Abel Cheung <deaddog@deaddog.org> 1.3-14mdk
- Update patch0 to really remove hardcoded pam module path (and sync with
  fedora)

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-13mdk
- rebuild for rewriting /etc/pam.d file

* Tue Mar 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-12mdk
- Patch1: Add missing includes

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-11mdk
- Rebuild

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-10mdk
- Fix no-url-tag

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-9mdk
- Fix invalid-distribution Linux-Mandrake

* Mon Feb 26 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-8mdk
- Cleaned up specfile
- Added documenation files
- Pamstackizification

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-7mdk
- BuildRequires: pam-devel

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-6mdk
- BM, macros and spec-helper

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-5mdk
- Fixed group

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- build release
- bzip2 manpage
- fix compilation for non-root users (bero sucks?)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Jan 13 1999 Michael Johnson <johnsonm@redhat.com>
- released 1.3

* Thu Mar 12 1998 Michael K. Johnson <johnsonm@redhat.com>
- Does not create a DoS attack if pty is closed (not applicable
  to use on a VC)

* Fri Oct 10 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam conventions.
- Use pam according to spec, rather than abusing it as before.
- Updated to version 1.1.
- BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d
